#ifndef ECHELON_HEADER
#define ECHELON_HEADER


//typedef __u8 Bits;
typedef __u8 byte;
typedef __u16 word;


#define LOCATION_LEN     6
#define NUM_COMM_PARAMS  7
/*
typedef enum
{
  CLOCK_312,
  CLOCK_625,
  CLOCK_1250,
  CLOCK_2500,
  CLOCK_5000,
  CLOCK_10000,
  CLOCK_20000,
  CLOCK_40000
} input_clock_type;
*/

#pragma pack(1)

typedef struct
{
   Bits   deltaBL     : 6;    /* delta backlog value */
   Bits   altPath     : 1;    /* alternate path flag */
   Bits   priority    : 1;    /* priority            */
} LPDUHeader;

/*
typedef struct direct_param_struct
{
  Bits    hysteresis              : 3;
  Bits    filter                  : 2;
  Bits    bit_sync_threshold      : 2;
  Bits    collision_detect        : 1;

  Bits    cd_preamble             : 1;
  Bits    cd_tail                 : 1;
  Bits    cd_to_end_packet        : 6;
} direct_param_struct;
*/
/*
typedef struct config_data_struct
{
  word channel_id;
  char    location [LOCATION_LEN];
  Bits    input_clock             : 3;
  Bits    comm_clock              : 5;

  Bits    comm_pin_dir            : 5;
  Bits    comm_type               : 3;
  byte    preamble_length;
  byte    packet_cycle;
  byte    beta2_control;
  byte    xmit_interpacket;
  byte    recv_interpacket;
  byte    node_priority;
  byte    channel_priorities;
  union
    {
      byte                xcvr_params [NUM_COMM_PARAMS];
      direct_param_struct dir_params;
    } params;
  Bits    preemption_timeout      : 3;
  Bits    nm_auth                 : 1;
  Bits    non_group_timer         : 4;
} config_data_struct;
*/

#pragma pack()


#endif
